{
  "action_bias": [
    0.0,
    -4.0,
    4.0
  ],
  "action_layout": [
    "front",
    "upper",
    "lower"
  ],
  "action_scale": 8.0,
  "body_layout": [
    "front",
    "upper",
    "lower"
  ],
  "control_dt": 0.4,
  "control_time_scale_steps": 2000,
  "conv_len": 30,
  "dtw_lag_channel": 1,
  "dtw_version": "legacy_dtw_v1_abs_n_unclipped",
  "fifo_init_action": [
    0.0,
    -4.0,
    4.0
  ],
  "fifo_len": 150,
  "force_layout": [
    "front_fx",
    "front_fy",
    "upper_fx",
    "upper_fy",
    "lower_fx",
    "lower_fy"
  ],
  "has_disturbance": true,
  "model_name": "d1a3o12_re50",
  "mu": 0.04,
  "n_objects_env": 7,
  "nu": 0.008,
  "obs_slice": [
    2,
    14
  ],
  "pinball_front_x": 30.0,
  "pinball_rear_x": 31.3,
  "policy_init_action": [
    0.0,
    -4.0,
    4.0
  ],
  "raw_force_slice": [
    6,
    12
  ],
  "raw_layout": [
    "upper_ux",
    "upper_uy",
    "center_ux",
    "center_uy",
    "lower_ux",
    "lower_uy",
    "front_fx",
    "front_fy",
    "upper_fx",
    "upper_fy",
    "lower_fx",
    "lower_fy"
  ],
  "raw_sensor_slice": [
    0,
    6
  ],
  "re_code": 50,
  "re_d": 25.0,
  "s_dim": 12,
  "sample_interval": 800,
  "scene_id": "karman",
  "sensor_layout": [
    "upper_ux",
    "upper_uy",
    "center_ux",
    "center_uy",
    "lower_ux",
    "lower_uy"
  ],
  "sensor_x": 40.0,
  "source": "PPO_inference",
  "target_force_slice": null,
  "target_sensor_slice": [
    0,
    6
  ],
  "target_type": "periodic",
  "u0": 0.01
}
